org.restlet.engine.http.connector

## Enum ConnectionState

- java.lang.Object
- - java.lang.Enum<ConnectionState>
  - - org.restlet.engine.http.connector.ConnectionState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ConnectionState>

    public enum ConnectionState
    extends java.lang.Enum<ConnectionState>

Enumeration of the states of a connection.

Author:
  Jerome Louvel

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLOSED` The network connection has been successfully closed.
`CLOSING` The network connection will be close as soon as the pending pending response is sent.
`OPEN` The network connection has been successfully opened.
`OPENING` The network connection is being opened.

### Method Summary

Methods
`static ConnectionState` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConnectionState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OPENING

    public static final ConnectionState OPENING

The network connection is being opened.

#### OPEN

    public static final ConnectionState OPEN

The network connection has been successfully opened.

#### CLOSING

    public static final ConnectionState CLOSING

The network connection will be close as soon as the pending pending response is sent.

#### CLOSED

    public static final ConnectionState CLOSED

The network connection has been successfully closed.

### Method Detail

#### values

    public static ConnectionState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConnectionState c : ConnectionState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConnectionState valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null